package org.rcisoft.bus.custrecharge.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.custrecharge.entity.CustRecharge;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年12月13日 上午11:27:11.
*/

public interface CustRechargeRepository extends CyBaseMapper<CustRecharge> {


    List<CustRecharge> queryCustRecharges(@Param("entity") CustRecharge custRecharge);

    /**
    * 分页查询 custRecharge
    *
    */
    IPage<CustRecharge> queryCustRechargesPaged(CyPageInfo cyPageInfo,@Param("entity") CustRecharge custRecharge);
}

